//api公共请求地址
import { request } from '@umijs/max';
import { RespResult } from './Resp';
/**
 *
 * @param url 接口地址
 * @returns 诚管24
 */
const IS_PROD = process.env.NODE_ENV === 'production' ? true : false;
export const reqBaseUrl = IS_PROD ? '/cd-comprehensive/apis' : '/apis';

const urlProxyApis = (url: string) => {
  return `${reqBaseUrl}${url}`;
};

//首页
export async function postLampblackCount() {
  return request<RespResult<API.CountDto>>(
    urlProxyApis('/hncy/entities/selectLampblackCount'),
    {
      method: 'post',
    },
  );
}
